---
title: "Transfer signups from one variant to another"
description: "Transfer intents (signups) from a source variant to a target variant. This is useful when consolidating variants or when products are restructured. By default transfers pending intents, but can transfer sent or all inten"
url: https://docs.stoqapp.com/v1/back-in-stock/transfer-signups-from-one-variant-to-another/
api: "API v1 (legacy)"
method: POST
path: "/external/intents/transfer_signups"
---

# Transfer signups from one variant to another

`POST https://app.stoqapp.com/api/v1/external/intents/transfer_signups`

Transfer intents (signups) from a source variant to a target variant.
This is useful when consolidating variants or when products are restructured.
By default transfers pending intents, but can transfer sent or all intents based on intent_type parameter.

## Request body

- `from_shopify_variant_id` (integer, required): Shopify variant ID to transfer signups from
- `from_shopify_product_id` (integer, required): Shopify product ID of the source variant
- `to_shopify_variant_id` (integer, required): Shopify variant ID to transfer signups to
- `to_shopify_product_id` (integer, required): Shopify product ID of the target variant
- `intent_type` (string): Type of intents to transfer (default is unsent/pending) One of: `unsent`, `sent`, `all`.

Rate limit: this call costs 2 points ([rate limits](https://docs.stoqapp.com/docs/rate-limits/)).

## Example request

```sh
curl -X POST "https://app.stoqapp.com/api/v1/external/intents/transfer_signups" \
  -H "X-Auth-Token: $STOQ_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "from_shopify_variant_id": 43900910010503,
    "from_shopify_product_id": 7891234567890,
    "to_shopify_variant_id": 43900910010999,
    "to_shopify_product_id": 7891234567890,
    "intent_type": "unsent"
  }'
```

## 200

Transfer completed successfully

## 400

Bad request - invalid parameters

## 401

Unauthorized

## 422

Transfer failed

